- entityDefinitions:
  - IDI_TaskCategory_ElementContent: '{4394c205-3fba-40b5-9285-2c1791319f88}'

  - IDE_ElementContent_Select: '{a2bdb18d-82ea-4153-802d-6085d45df32e}'
  - IDE_ElementContent_Definition: '{a639e587-f8a5-4503-afb6-08e98cb40a09}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_ElementContent;'
    name: 'Element Content'
  
  - element: '&IDE_ElementContent_Select;'
    name: 'element content select subedit'
    layout:
    - type: '&IDC_GroupLayout;'
      globalIdentifier: '{f1589e05-0048-4b1f-af5c-d9ba3ee41cc8}'
      options:
      - instance: '&IDI_GroupLayoutOption_FieldSet;'
    elementContents:
    - globalIdentifier: '{8171ea52-22a3-4c75-b8a5-d418bc05fdeb}'
      defaultDataType: '&IDC_ElementContent;'
      label: 'Element Content'
      displayOptions:
      - instance: '&IDI_DisplayOption_Required;'

  - element: '&IDE_ElementContent_Definition;'
    name: element content definition
    moduleId: '&IDI_Module_MochaBaseSystem;'
    elementContents:
    - globalIdentifier: '{cffdab26-d808-41ce-b7b2-1686ef76cb40}'
      defaultDataType: '&IDMB_Instance__get__Global_Identifier_for_Related_Task_Instance;'
      label: 'Global Identifier'
      order: a
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
    - globalIdentifier: '{bce8db21-66e1-4cfb-b398-9f010747c225}'
      defaultDataType: '&IDR_Element_Content__for__Element;'
      label: 'For Element'
      order: aa
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'

    - globalIdentifier: '{22eb6d52-6ad9-4b6f-8f59-d7c896cae8ac}'
      defaultDataType: '&IDA_Order;'
      label: 'Order'
      order: b

    - globalIdentifier: '{e68a3197-3083-4a9e-a2db-17a2e2c28afd}'
      defaultDataType: '&IDR_Element_Content__has__Instance;'
      label: 'Default Data Type'
      order: c
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'

    - globalIdentifier: '{6a050800-719f-4f78-a15e-d716afe102b6}'
      defaultDataType: '&IDR_Element_Content__has__Instance;'
      label: 'Data Type Override'
      order: d

    - globalIdentifier: '{d33ff08a-73ea-440e-99c3-bebb3e00317f}'
      defaultDataType: '&IDR_Element_Content__built_from__BEM_Process;'
      label: 'BEM Process'
      order: e

    - globalIdentifier: '{34cb2c49-c017-4191-a917-d028a2a41123}'
      defaultDataType: '&IDA_Label;'
      label: 'Default Label'
      order: f
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'

    - globalIdentifier: '{f71b9a3e-fa4f-4328-a17e-3ae9ada3bedd}'
      defaultDataType: '&IDA_LabelOverride;'
      label: 'Override Label'
      order: g

    - globalIdentifier: '{40b7c350-801b-46ed-a0ef-e133b1c61c27}'
      defaultDataType: '&IDR_Element_Content__has__Element_Content_Display_Option;'
      label: 'Uses Display Options'
      order: h

  - buildElementMethod: '{ccee215f-e512-435a-a535-3caac1cad06a}'
    hasBemProcess: '{904a26ce-0925-42a6-b02c-294f90cc93f8}'

  - bemProcess: '{904a26ce-0925-42a6-b02c-294f90cc93f8}'
    name: 'build parameter assignment list'
    loopExecutableReturningInstanceSet: '&IDMB_Element_Content__get__Parameter_Assignments;'
